library(tidyverse)
library(readr)
library(readxl)
library(writexl)
options(scipen = 999)

# averaging length
l <- 180

# get files
temp <- list.files(pattern = "*.csv")

subjects <- c()
overview <- c()
x <- 1

for (i in 1:(0.5 * length(temp))){
  CON <- read.csv(temp[x])
  CON <- CON[, c(3, 4)]
  CON <- tail(CON, n = l)
  CON_Power <- mean(CON$Power..watt.)
  CON_Cadence <- mean(CON$Cadence)
  
  EMS <- read.csv(temp[x + 1])
  EMS <- EMS[, c(3, 4)]
  EMS <- tail(EMS, n = l)
  EMS_Power <- mean(EMS$Power..watt.)
  EMS_Cadence <- mean(EMS$Cadence)
  
  values <- c(CON_Power, CON_Cadence, EMS_Power, EMS_Cadence)
  overview <- rbind(overview, values)
  
  subject <- substr(temp[x], 0, nchar(temp[x])-13)
  subjects <- c(subjects, subject)
  
  x <- x + 2
}

overview <- as.data.frame(overview)
overview <- cbind(subjects, overview)
colnames(overview) <- c("subjects", "CON_Power", "CON_Cadence", "EMS_Power", "EMS_Cadence")
rownames(overview) <- NULL

rm(list=setdiff(ls(), c("overview")))

write_xlsx(overview, "mean_values/handcycle_load.xlsx")
